Subject: Bug#1050888: alsa-utils: alsa-retore service does not restore state of a sound card plugged in through USB hub on boot

From: Alexander Betaev <[email-masked]>
Date: Wed, 30 Aug 2023 16:27:45 -0500

Package: alsa-utils
Version: 1.2.9-1
Severity: normal
Tags: a11y
X-Debbugs-Cc: [email-masked]

To fix this I have to run `sudo alsactl  restore` after each boot.

Additional notes:
- It does store state, so if I run `alsactl restore` it will restore volume
level set before reboot
- It works as expected with built-in sound card
- I did not test if it works or not when USB sound card is plugged directly
- It affects 1.2.8 version as well, I tested on both, 1.2.8 and 1.2.9

-- System Information:
Debian Release: 12.1
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'stable-security'), (500, 'testing'), (110, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 6.1.0-10-amd64 (SMP w/8 CPU threads; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages alsa-utils depends on:
ii  kmod              30+20221128-1
ii  libasound2        1.2.8-1+b1
ii  libatopology2     1.2.8-1+b1
ii  libc6             2.36-9+deb12u1
ii  libfftw3-single3  3.3.10-1
ii  libncursesw6      6.4-4
ii  libsamplerate0    0.2.2-3
ii  libtinfo6         6.4-4

alsa-utils recommends no packages.

Versions of packages alsa-utils suggests:
pn  dialog  <none>

-- no debconf information